Name:           libgwibber
Version:        0.1.1
Release:        1%{?dist}
Summary:        Library for accessing social networks via Gwibber

Group:          Development/Libraries
License:        LGPLv3
URL:            http://launchpad.net/gwibber
Source0:        http://archive.ubuntu.com/ubuntu/pool/main/libg/libgwibber/%{name}_%{version}.orig.tar.gz

BuildRequires:  autoconf automake libtool
BuildRequires:  gtk2-devel
BuildRequires:  gnome-doc-utils
BuildRequires:  gtk-doc
BuildRequires:  vala-tools
BuildRequires:  json-glib-devel
BuildRequires:  dbus-glib-devel
BuildRequires:  libgee-devel
BuildRequires:  dee-devel
BuildRequires:  gobject-introspection-devel

Patch0:         %{name}-%{version}-disable-mono-bindings.patch

%description
Library for accessing social networks via Gwibber 

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        devel-docs
Summary:        Developer documentation for %{name}

%description    devel-docs
Developer documentation for %{name}

%prep
%setup -q
%patch0 -p1 -b .disable-mono-bindings
autoreconf -if
intltoolize --force --automake

%build
%configure --disable-static \
           --docdir=%{_datadir}/%{name}

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
pushd $RPM_BUILD_ROOT%{_datadir}/%{name}/examples
sed -i -e '/^#!\//, 1d' *
popd


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS ChangeLog
%{_libdir}/libgwibber.so.*
%{_libdir}/libgwibber-gtk.so.*
%{_libdir}/girepository-1.0/Gwibber-0.1.typelib
%{_libdir}/girepository-1.0/GwibberGtk-0.1.typelib

%files devel
%defattr(-,root,root,-)
%doc COPYING AUTHORS ChangeLog
%{_includedir}/%{name}-0.1
%{_libdir}/libgwibber.so
%{_libdir}/libgwibber-gtk.so
%{_libdir}/pkgconfig/gwibber-0.1.pc
%{_libdir}/pkgconfig/gwibber-gtk-0.1.pc
%{_datadir}/gir-1.0/Gwibber-0.1.gir
%{_datadir}/gir-1.0/GwibberGtk-0.1.gir
%{_datadir}/vala/vapi/gwibber-*.*
%{_datadir}/%{name}
%{_libexecdir}/entry-c
%{_libexecdir}/entry-vala
%{_libexecdir}/example-vala

%files devel-docs
%defattr(-,root,root,-)
%doc COPYING AUTHORS ChangeLog
%{_datadir}/gtk-doc/html/%{name}
%{_datadir}/gtk-doc/html/%{name}-gtk

%changelog
* Sun Apr 24 2011 Hicham HAOUARI <hicham.haouari@gmail.com> - 0.1.1-1
- Initial package
